# ViewFinderConfiguration class

Configuration of the scanning interface's viewfinder, serving as guidance to the user.

## Constructors

ViewFinderConfiguration({bool visible = true, FinderStyle? style, ScanbotColor? overlayColor, AspectRatio? aspectRatio})
ViewFinderConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

aspectRatio ↔ AspectRatio
  The viewfinder's aspect ratio.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
overlayColor ↔ ScanbotColor
  The color of the viewfinder overlay. Default is "?sbColorSurfaceLow"
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
style ↔ FinderStyle
  The visual appearance of the viewfinder.
  getter/setter pair
visible ↔ bool
  Determines whether the viewfinder is visible or not. Default is true
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited